node.js에서 버젼 변경 하기

오늘 특정 프로젝트를 받아서 빌드를 진행하는데 오류가 발생하였다.

$> npm install
.... 모듈 오류 발생 ...

원인은 node 버젼이 내 PC에 설치된 것은 11.x 이고 해당 모듈은 8.x 에서만 동작하였다.

버젼 변경을 어찌 해야하는지 고민하는 차에 함께 일하시는 분이 n 이라는 모듈을 이용하면 된다고 알려 주셨다.

# 설치 
$>sudo  npm install -g n

# Node 버전 중 설치된 버전 확인
$> n ls  

# Node 버전 설치  
$> n <version>  
# ex> n 8.13

# 최신 LTS Node 버전 설치
$> n latest  

# 제거할 Node 설정
$ n rm <version ...>  
#ex> n rm 8.9.1 8.9.2

# 현재 버전을 제외한 모든 버전 제거
$ n prune  

참고 주소


Posted by lahuman